# Convolution Exploration - Documents > References


## Description
Various references used in project.


## C++ References

### Book Reference
"A Tour of C++", by Bjarne Stroustrup

### File and Directory Handling
#### Checking if File Path Exists
<https://stackoverflow.com/a/27588225>

#### Checking if Path is File or Dir
<https://stackoverflow.com/a/43281413>

#### Getting All Files in Folder
<https://stackoverflow.com/a/612176>

#### Getting File Name from Path
<https://stackoverflow.com/a/24386991>

#### Path Value to Str
<https://stackoverflow.com/a/45401869>

### Other
#### C++ Strings
<https://stackoverflow.com/a/3535904>

#### Files Compiling without "Standard" C++ Library Access
<https://stackoverflow.com/a/10271117>

#### Reading In & Manipulating Image Files
* <https://stackoverflow.com/a/59553786>
* <https://stackoverflow.com/a/5420568>


## CUDA References

### Book Reference
"Cuda by Example", by Jason Sanders & Edward Kandrot

### First CUDA Program
<https://developer.nvidia.com/blog/easy-introduction-cuda-c-and-c/>

### Intro CUDA Tutorial
<https://cuda-tutorial.readthedocs.io/en/latest/tutorials/tutorial01/>
