/**
 * Header file for project struct logic.
 */


// System Import Headers.
#include <ctype.h>
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>


// Global Variables.
extern const int TYPE_DIR;
extern const int TYPE_FILE;
extern const int TYPE_OTHER;


/**
 * Data return for path validation function.
 */
typedef struct {
    int file_type;
    std::error_code err_code;
} path_validator_struct;


// // Function Prototypes.
path_validator_struct* initialize_path_validator_struct(int file_type, std::error_code err_code);
void free_path_validator_struct(path_validator_struct* path_validator_ptr);
